import { EventEmitter } from '@angular/core';
import { IconModel } from './icon.model';
export declare class IconComponent implements IconModel {
    static readonly defaultProps: IconModel;
    onClickEmitter: EventEmitter<void>;
    onBlurEmitter: EventEmitter<void>;
    className: string;
    prefix: string;
    constructor();
    onClick(): void;
    onBlur(): void;
}
